Pourquoi vouloir ne proposer que Scilab 5.5.2 dans la version de base ?

C’est le seul logiciel à notre connaissance qui ne peut pas s’installer sur la dernière version du système d’exploitation MacOS Catalina 10.15. Cette version est particulièrement problématique pour sa gestion de Java (d’où le soucis avec Scilab) et ne supporte plus les applications 32 bits (d’où l’impossibilité constaté de faire tourner Wine, un émulateur Windows).
La première partie peut-être résolue avec l’utilisation d’une machine virtuelle Java, et cela permet d’installer Scilab 6.1, mais pas Scilab 5.5.2. De plus, les solutions trouvées pour la version 6.1 ne feront pas l’objet d’un patch officiel par l’équipe de Scilab sur la version 5.5.2 (choix de la politique de développement de Scilab).
Dès qu’une solution plus light sera trouvée pour faire tourner Scilab 5.5.2 sous MacOS Catalina, la version de base ne sera qu’un environnement quasiment vide : machine Java de base, miniconda sans installation complémentaire, Wine pour faire tourner les logiciels exclusifs à Windows.

Laisser un commentaire